%undefine __cmake_in_source_build
%global framework akonadi-mime


%if !0%{?bootstrap}
%global tests 1
%endif

Name:    kf5-%{framework}
Version: 23.08.4
Release:    1%{?dist}
Summary: The Akonadi Mime Library

License: LGPLv2+
URL:     https://invent.kde.org/frameworks/%{framework}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        https://download.kde.org/%{stable}/release-service/%{version}/src/%{framework}-%{version}.tar.xz

BuildRequires: make
BuildRequires:  cyrus-sasl-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
%global kf5_ver 5.23
BuildRequires:  kf5-kio-devel >= %{kf5_ver}
BuildRequires:  kf5-kcompletion-devel >= %{kf5_ver}
BuildRequires:  kf5-kcodecs-devel >= %{kf5_ver}
BuildRequires:  kf5-kcontacts-devel >= %{kf5_ver}

BuildRequires:  cmake(Qt5Gui)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(shared-mime-info)

%global majmin_ver %{version}
BuildRequires:  kf5-akonadi-server-devel >= %{majmin_ver}
BuildRequires:  kf5-akonadi-server-devel >= %{majmin_ver}
BuildRequires:  kf5-kmime-devel >= %{majmin_ver}

%if 0%{?tests}
BuildRequires: kf5-akonadi-server >= %{majmin_ver}
BuildRequires: kf5-akonadi-server-mysql
BuildRequires: xorg-x11-server-Xvfb
%endif

Conflicts: kdepimlibs < 4.14.10-40


%description
%{summary}.

%package   devel
Summary:   Development files for %{name}
Requires:  %{name} = %{version}-%{release}
Requires: cmake(KF5Akonadi)
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version} -p1


%build
%cmake_kf5 \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF}

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name


%check
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
DBUS_SESSION_BUS_ADDRESS=
xvfb-run -a \
make test ARGS="--output-on-failure --timeout 30" -C %{_target_platform} ||:
%endif



%files -f %{name}.lang
%license LICENSES/*
%{_kf5_datadir}/akonadi/plugins/serializer/
%{_kf5_datadir}/config.kcfg/specialmailcollections.kcfg
%{_kf5_datadir}/mime/packages/x-vnd.kde.contactgroup.xml
%{_kf5_datadir}/qlogging-categories5/*%{framework}.*
%{_kf5_libdir}/libKPim5AkonadiMime.so.*
%{_kf5_qtplugindir}/akonadi_serializer_mail.so

%files devel 
%if 0%{?tests}
%{_kf5_bindir}/akonadi_benchmarker
%endif
%{_kf5_archdatadir}/mkspecs/modules/qt_AkonadiMime.pri
%{_includedir}/KPim5/AkonadiMime/
%{_kf5_libdir}/cmake/KF5AkonadiMime/
%{_kf5_libdir}/cmake/KPim5AkonadiMime/
%{_kf5_libdir}/libKPim5AkonadiMime.so

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
